%define shortname lipstik
%define version 1.3
%define release %mkrel 1 

Name:           kde-style-%{shortname} 
Summary:        Lipstick Theme for KDE3.3.x 
Version:        %{version} 
Release:        %{release} 
Source0:        %{shortname}-%{version}.tar.bz2
URL:            http://kde-look.org/content/show.php?content=18223
Group:          Graphical desktop/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL 
Requires: 	kdelibs
BuildRequires:  kdelibs-devel

%description
Theme "Lipstick" for KDE 3.3.x
This is a mod of the plastik style with inverted gradients for 
an ActiveHeart look.

%prep 
%setup -q -n %shortname-%version

%build 
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath --disable-debug --disable-warnings
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README AUTHORS
%{_libdir}/kde3/plugins/styles/lipstik.la
%{_libdir}/kde3/plugins/styles/lipstik.so
%{_libdir}/kde3/kstyle_lipstik_config.la
%{_libdir}/kde3/kstyle_lipstik_config.so
%{_datadir}/apps/kstyle/themes/lipstik.themerc
%{_datadir}/apps/kdisplay/color-schemes/lipstikstandard.kcsrc
%{_datadir}/apps/kdisplay/color-schemes/lipstikwhite.kcsrc

%changelog 
* Tue Sep 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3-1mdk
- 1.3
- Remove qt3-devel
- Change URL
- mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2 -3mdk  
- Rebuild

* Fri Aug 26 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2 -2mdk  
- Rebuild

* Wed Jun 30 2005 Couriousous <couriousous@mandriva.org> 1.2-1mdk
- 1.2

* Sat May 07 2005 Couriousous <couriousous@mandriva.org> 1.1-3mdk
- rebuild for gcc 4

* Sat Mar 19 2005 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 1.1-2mdk
- Fix for build on x86_64

* Tue Jan 25 2005 Laurent Culioli <laurent@mandrake.org> 1.1-1mdk
- new version

* Fri Dec 17 2004 Laurent Culioli <laurent@mandrake.org> 1.0-1mdk
- 1.0

* Mon Dec 06 2004 Laurent Culioli <laurent@mandrake.org> 0.91-1mdk
- new version

* Thu Dec 02 2004 Laurent Culioli <laurent@mandrake.org> 0.90-1mdk
- Initial release 
